/* Sample code using the Chunks and Tasks programming model.
 * See <http://www.chunks-and-tasks.org>.
 */
#include "chunks_and_tasks.h"

struct SWResult : public cht::Chunk {
  // Things required for a Chunk object
  void writeToBuffer(char * dataBuffer, size_t const bufferSize) const;
  size_t getSize() const;
  void assignFromBuffer(char const * dataBuffer, size_t const bufferSize);
  size_t memoryUsage() const;
  // Other stuff
  int maxValue;
  cht::ChunkID get_cid_H_bottom_row() const;
  cht::ChunkID get_cid_H_rightmost_column() const;
  CHT_CHUNK_TYPE_DECLARATION;
};
