/* Sample code using the Chunks and Tasks programming model.
 * See <http://www.chunks-and-tasks.org>.
 */
#include "chunks_and_tasks.h"
#include "SWResult.h"

class SW: public cht::Task {
 public:
  cht::ID execute(chttl::ChunkVector<char> const & seqA,
		  chttl::ChunkVector<char> const & seqB,
		  chttl::ChunkVector<int> const & leftBorder,
		  chttl::ChunkVector<int> const & topBorder,
		  chttl::Basic<int> const & topLeftValue);
  CHT_TASK_INPUT((chttl::ChunkVector<char>, chttl::ChunkVector<char>, chttl::ChunkVector<int>, chttl::ChunkVector<int>, chttl::Basic<int>));
  CHT_TASK_OUTPUT((SWResult));
  CHT_TASK_TYPE_DECLARATION;
};
